%global modulename eslint-config-airbnb-base

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-eslint-config-airbnb-base
Version:        13.1.0
Release:        1%{?dist}
Summary:        Airbnb's base JS ESLint config, following our styleguide

License:        MIT
URL:            https://github.com/airbnb/javascript
Source0:        https://registry.npmjs.org/eslint-config-airbnb-base/-/eslint-config-airbnb-base-13.1.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(eslint-restricted-globals) >= 0.1.1 with npmlib(eslint-restricted-globals) < 0.2.0))
BuildRequires:  ((npmlib(object.assign) >= 4.1.0 with npmlib(object.assign) < 5.0.0))
BuildRequires:  ((npmlib(object.entries) >= 1.0.4 with npmlib(object.entries) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Airbnb's base JS ESLint config, following our styleguide

%package 13.1.0
Summary:        Airbnb's base JS ESLint config, following our styleguide


%description 13.1.0
Airbnb's base JS ESLint config, following our styleguide

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .babelrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr legacy.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr rules %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr whitespace.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}


%files
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%{nodejs_dir}/%{modulename}

%files 13.1.0
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 20 2018 npm2srpm <dshea@redhat.com> - 13.1.0-1
- Package automatically generated by npm2srpm
